Bug 1261052 - Console: various localized perspective listings does not work
Console: various localized perspective listings does not work
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity high
: CR1
: 6.2.0
Assigned To: Neus Miras
Lukáš Petrovický
: i18n
Depends On:
Blocks: 1261962
  Show dependency treegraph
 
Reported: 2015-09-08 09:42 EDT by Pavel Kralik
Modified: 2018-03-31 18:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1261962 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Broken listing in Process Definition perspective zh_CN (41.04 KB, image/png)
2015-09-08 09:42 EDT, Pavel Kralik
no flags Details
Broken listing in Process Definition perspective ja_JP (41.00 KB, image/png)
2015-09-08 09:43 EDT, Pavel Kralik
no flags Details
Broken listing in Process Definition perspective fr_FR (48.99 KB, image/png)
2015-09-08 09:44 EDT, Pavel Kralik
no flags Details
Working listing in Process Definition perspective en_US (69.51 KB, image/png)
2015-09-08 09:45 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-09-08 09:42:56 EDT
Created attachment 1071364 [details]
Broken listing in Process Definition perspective zh_CN

Description of problem:
When BC is localized various perspectives listings does not work properly. 

en_US columns displayed:
Jobs: Id, Type, Actions
Process Definitions: Name, Version, Project, Actions
Process Instances: Select, Id, Name, Description, Version, Actions
Tasks: Task, Description, Actions

fr_FR:
Process Definitions: Version, Actions
Tasks: Description, Actions

ja_JP:
Jobs: no listing
Process Definition: no listing
Tasks: no listing

zh_CN:
Jobs: Id
Process Definitons: no listing
Process Instances: no listing
Tasks: no listing

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER1

How reproducible:
Always

Steps to Reproduce:
1. Switch BC to zh_CN, fr_FR and ja_JP locales 
2. Build and deploy project, start tasks, process definitions and jobs.
3. Go to Jobs/Process Definitions and Instances/Tasks and compare to default en_US locale. 

Actual results:
Broken localized perspective listings.

Expected results:
Perspectives works similar to en_US locales.

Additional info:
See screenshots.
Comment 1 Pavel Kralik 2015-09-08 09:43:57 EDT
Created attachment 1071366 [details]
Broken listing in Process Definition perspective ja_JP
Comment 2 Pavel Kralik 2015-09-08 09:44:27 EDT
Created attachment 1071368 [details]
Broken listing in Process Definition perspective fr_FR
Comment 3 Pavel Kralik 2015-09-08 09:45:07 EDT
Created attachment 1071369 [details]
Working listing in Process Definition perspective en_US
Comment 5 Neus Miras 2015-11-13 04:55:10 EST
The problem was related with the id used to identify the displayed or hidden columns. It used an id a value depending on the language displayed. When the user would change the lang, the app didn't recognize the displayed columns and the behavior wasn't as expected.
This has been fixed in the following commits:
 
Console
6.3.x
https://github.com/droolsjbpm/jbpm-console-ng/commit/bbecb7c760c500a0ecace4916a82ee50621abedd

uf-ext
0.7.x
https://github.com/uberfire/uberfire-extensions/commit/acfd90743df5ce49b1e2c6105f72fe85a64d34aa
Comment 6 Pavel Kralik 2015-11-19 10:51:08 EST
BPMS 6.2.0.CR1

Note You need to log in before you can comment on or make changes to this bug.